<?php
##Данные:##
## Автор: venix ## Офиц. Сайт: http://inwap.org.ua  ##  Версия 1.0 ##
## Скрипт платный. Нельзя его продавать, изменять или давать. При нарушении: Взлом чата, ##
##Удаление всей инфы с него и много других проблем ;)  ##
require'config.php';
$align='left';

if (!ctype_digit($_GET['nk'])) { header('Location: index?'.SID); die; }
$nk = intval($_GET['nk']);
$inf = $db->sql_fetchrow ($db->sql_query ("Select * from users where id='".$nk."'"));
$title='Сказали Спасибо '.$inf[user];
aut();
head();
who_add(0,'enter');
echo '<br />';

if (isset($_GET['delete'])) {
#if ($a['mgs_id'] == $user['id'] || $user['level'] >= 6) {
$a = mysql_query("Select id from spasibo where id = '".intval($_GET['delk'])."'");
if (mysql_num_rows($a) == false) {
    echo 'У вас нет прав!';
	} else {
mysql_query("DELETE FROM `spasibo` WHERE `id` = '".intval($_GET['delk'])."'");
header('Location: spasibo.php?nk='.$inf['id']);
}
#} else {
#echo 'У вас нет прав!';
#}
}

if (isset($_POST['send'])) {

if (user_inf($inf['id'], 'st_notify') == 1) {
if ($user['sex'] == 1) $sex = 'сказал'; else $sex = 'сказала';
$msg = 'Пользователь [b]'.$user['user'].'[/b] '.$sex.' вам [url=/spasibo'.$inf['id'].']спасибо[/url].';
$db->sql_query ("INSERT INTO privat (user,user_id,to_user,to_id,time,msg) VALUES 

('$user_system','0','".user($inf['id'])."','".user_inf($inf['id'])."','$time','$msg')");
}

if (mb_strlen($_POST['msg'], 'UTF8') < 3) { header ('Location: ?nk='.$inf['id']); exit; }
if ($user['translit'] == 1) $_POST['msg'] = translit($_POST['msg']);
$db->sql_query ("INSERT INTO spasibo (user_id,mgs_id,msg,time) VALUES 

('$inf[id]','$user[id]','".check($_POST['msg'])."','$time')");
posts_add();
header ('Location: ?nk='.$inf['id']);
}


if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from spasibo where user_id = '".$inf['id']."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from spasibo where user_id = '".$inf['id']."' order by time desc LIMIT $start, $max");

if (($max*$page)<$k_post) $maxi = $max*$page; else $maxi = $k_post;
echo 'Показаны записи '.($start+1).'-'.$maxi.' из '.$k_post.'<br /><br />';
if ($k_post == 0)echo 'Не говорили спасибо... <br /><br />';

$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
echo links.'<b>'.nik($a['mgs_id']).'</b> ('.times($a['time']).')'.div;

echo '&#160;'.smiles(antir(antim(bbcode(br($a['msg']))))).'<br/>';
if ($a['img']!='')echo '<a href="'.H.'files/spasibo/'.$a['img'].'"><img src="'.H.'spasibo_img?'.$a[id].'" 

width="'.$set['w_img_sten'].'" height="'.$set['h_img_sten'].'" alt="'.$a['img'].'"/></a><br />';
echo '<dt></dt><small>&#160;&#160;';
if (user_inf($a[mgs_id],'sex')==1)$sex = 'Ему'; else $sex = 'Ей';
if ($a[mgs_id]!=$user[id]&&$a[mgs_id]!=$inf[id])echo '<a href="'.H.'spasibo'.$a[mgs_id].'">Сказали Спасибо '.$sex.' </a>';
if($a['mgs_id'] == $user['id'] || $user['level'] >= 5)
echo '<a href="?nk='.$inf['id'].'&amp;delete&amp;delk='.$a['id'].'">Удалить</a>';
#echo $delk.'</small><dt></dt>';
echo '<dl></dl>';
}
if ($k_page>1){
echo "<dl><dt></dt></dl>";
str(H.'spasibo'.$inf['id'].'?',$k_page,$page);
}
if($user['level']>=1)
if ($ver!='wml')echo '<form action="?nk='.$inf['id'].'" method="post">';
if($user['level']>=1)
if ($ver=='wml')echo 'За что:<br /><input name="msg'.$ref.'" maxlength="15" title="Text"/><br/>';
else {echo 'За что:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg"></textarea><br/><br />';
}
if ($ver=='wml'){
if($user['level']>=1)
echo '<anchor title="go">Сказать Спасибо<go href="spasibo'.$inf['id'].'?'.SID.'" method="post">';
if($user['level']>=1)
echo '<postfield name="msg" value="$msg'.$ref.'"/>
</go></anchor><br /><br />';
;
}else{
if($user['level']>=1)
echo '<input type="submit" class="ibutton" name="send" value="Сказать Спасибо"/></form><br /><br />';
}


echo '<br />';
echo gb.'<a href="'.H.$inf[id].'">В Анкету</a>'.div;
echo gb.'<a href="'.H.'enter?">На Главную</a>'.div;
//echo '<b>Half Created by venix :)</b><br /><br />';
foot();
?>